<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author         Varun Shoor
 *
 * @package        SWIFT
 * @copyright      Copyright (c) 2001-2012, Kayako
 * @license        http://www.kayako.com/license
 * @link           http://www.kayako.com
 *
 * ###############################################
 */

class KayakoHelper
{

	public $admin;

	function KayakoHelper()
	{
		$this->admin = new Administration();
		$this->admin->retrieveSettings('system');
	}

	function getConfigValue($name, $val_empty = null)
	{
		$global_value = $this->admin->settings['system_kayako_' . $name];
		if ($global_value != null && $global_value != '') {
			return $global_value;
		}

		return $val_empty;
	}
}