<form name="EditView" id="EditView" method="POST">
	<input type="hidden" name="module" value="ky_Tickets">
	<input type="hidden" name="action" value="SaveConfig">
	<input type="hidden" name="return_module" value="{$RETURN_MODULE}">
	<input type="hidden" name="return_action" value="{$RETURN_ACTION}">
	<input type="hidden" name="source_form" value="config"/>

	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<input title="{$APP.LBL_SAVE_BUTTON_TITLE}" onclick="return check_form('EditView');" accessKey="{$APP.LBL_SAVE_BUTTON_KEY}" class="button" type="submit"
				       name="button" value=" {$APP.LBL_SAVE_BUTTON_LABEL} ">
				<input title="{$APP.LBL_CANCEL_BUTTON_TITLE}" accessKey="{$APP.LBL_CANCEL_BUTTON_KEY}" class="button"
				       onclick="this.form.action.value='{$RETURN_ACTION}'; this.form.module.value='{$RETURN_MODULE}';" type="submit" name="button"
				       value=" {$APP.LBL_CANCEL_BUTTON_LABEL} ">
			</td>
			<td align="right" nowrap>
				<span class="required">{$APP.LBL_REQUIRED_SYMBOL}</span> {$APP.NTC_REQUIRED}
			</td>
		</tr>
	</table>

	<table width="100%" border="1" cellspacing="0" cellpadding="0" class="edit view">

		<tr>
			<th align="left" scope="row" colspan="3"><h4>Credentials</h4>
		</tr>

		<tr>
			<td width="20%" scope="row">API URL <span class="required">{$APP.LBL_REQUIRED_SYMBOL}</span></td>
			<td width="40%" style="whitespace:nowrap">
				<input id='system_kayako_url' name='system_kayako_url' size='25' maxlength='128' type="text" value="{$kayako_url}" style='width:250px'>
				<span id='system_kayako_url_error' class="required"></span>
				<script type="text/javascript">
					document.getElementById('system_kayako_url').onchange = function() {ldelim}
						reg = new RegExp("^(http|https|ftp)\://[a-zA-Z0-9\-\.]+\.[a-zA-Z](:[a-zA-Z0-9]*)?/?([a-zA-Z0-9\-\._\?\,\'/\\\+&amp;%\$#\=~])*[^\.\,\)\(\s]$");
						if (reg.test(this.value)) {ldelim}
							document.getElementById('system_kayako_url_error').innerHTML = '';
						{rdelim} else {ldelim}
							document.getElementById('system_kayako_url_error').innerHTML = 'This is not a correct format';
						{rdelim}
					{rdelim}
				</script>
			</td>
			<td width="40%">This is the URL you should dispatch all GET, POST, PUT & DELETE requests to.</td>
		</tr>

		<tr>
			<td width="20%" scope="row">API Key <span class="required">{$APP.LBL_REQUIRED_SYMBOL}</span></td>
			<td width="40%"><input id='system_kayako_api' name='system_kayako_api' size='25' maxlength='128' type="text" value="{$kayako_api}" style='width:250px'></td>
			<td width="40%">This is the Unique Key that identifies your application.</td>
		</tr>

		<tr>
			<td width="20%" scope="row">Secret Key <span class="required">{$APP.LBL_REQUIRED_SYMBOL}</span></td>
			<td width="40%"><input id='system_kayako_key' name='system_kayako_key' size='25' maxlength='128' type="text" value="{$kayako_secret}" style='width:250px'></td>
			<td width="40%">The Secret Key is used to sign all the requests dispatched to Fusion. This is like a password and should be kept in a secure place.</td>
		</tr>

	</table>

	<div style="padding-top:2px;">
		<input title="{$APP.LBL_SAVE_BUTTON_TITLE}" onclick="return check_form('EditView');" class="button" type="submit" name="button" value=" {$APP.LBL_SAVE_BUTTON_LABEL} ">
		<input title="{$APP.LBL_CANCEL_BUTTON_TITLE}" class="button" onclick="this.form.action.value='{$RETURN_ACTION}'; this.form.module.value='{$RETURN_MODULE}';" type="submit"
		       name="button" value=" {$APP.LBL_CANCEL_BUTTON_LABEL} ">
	</div>

</form>

<script type="text/javascript">
	initEditView(document.forms.EditView);
	addToValidate('EditView', 'system_kayako_url', 'varchar', true, ' Help Desk URL');
</script>
